Bug 1324470 - dnf unuseable with local packages
Summary: dnf unuseable with local packages
Status: CLOSED DUPLICATE of bug 1263888
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 23
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-06 12:09 UTC by Harald Reindl
Modified: 2016-04-11 11:45 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-04-11 11:45:20 UTC


Attachments (Terms of Use)

Description Harald Reindl 2016-04-06 12:09:08 UTC
how many years do we have to wait until such simple operations are a) working relieable and b) outputs start to make sense as yum-output did and c) until someone realizes that the "Yum command has been deprecated" is in the current shape just a spit in the face of users calling it explicitly with yum-deprecated because DNF is just broken and unrelieable

[root@testserver:/data]$ ls
insgesamt 40M
-rw-r----- 1 root root 8,4M 2016-04-06 14:00 cpp-5.3.1-5.fc23.x86_64.rpm
-rw-r----- 1 root root  20M 2016-04-06 14:04 gcc-5.3.1-5.fc23.x86_64.rpm
-rw-r----- 1 root root 9,8M 2016-04-06 14:00 gcc-c++-5.3.1-5.fc23.x86_64.rpm
-rw-r----- 1 root root  38K 2016-04-06 14:00 libatomic-5.3.1-5.fc23.x86_64.rpm
-rw-r----- 1 root root  92K 2016-04-06 14:00 libgcc-5.3.1-5.fc23.x86_64.rpm
-rw-r----- 1 root root 156K 2016-04-06 14:00 libgomp-5.3.1-5.fc23.x86_64.rpm
-rw-r----- 1 root root 428K 2016-04-06 14:00 libstdc++-5.3.1-5.fc23.x86_64.rpm
-rw-r----- 1 root root 1,8M 2016-04-06 14:00 libstdc++-devel-5.3.1-5.fc23.x86_64.rpm
_______________________________________

[root@testserver:/data]$ dnf update *.rpm                            
Last metadata expiration check: 0:03:14 ago on Wed Apr  6 14:01:35 2016.
Fehler: nothing provides libgcc >= 5.3.1-5.fc23 needed by gcc-5.3.1-5.fc23.x86_64.
nothing provides libstdc++ = 5.3.1-5.fc23 needed by gcc-c++-5.3.1-5.fc23.x86_64.
package libgcc-5.3.1-5.fc23.x86_64 is not installable.
package libgomp-5.3.1-5.fc23.x86_64 is not installable.
package libstdc++-5.3.1-5.fc23.x86_64 is not installable.
package libstdc++-devel-5.3.1-5.fc23.x86_64 is not installable.
nothing provides libgcc >= 5.3.1-5.fc23 needed by gcc-5.3.1-5.fc23.x86_64
(Fügen Sie »--allowerasing« zur Befehlszeile hinzu, um die problematischen Pakete zu ersetzen)
_______________________________________

[root@testserver:/data]$ yum-deprecated --disablerepo=\* update *.rpm
Yum command has been deprecated, use dnf instead.
See 'man dnf' and 'man yum2dnf' for more information.
cpp-5.3.1-5.fc23.x86_64.rpm wird untersucht: cpp-5.3.1-5.fc23.x86_64
cpp-5.3.1-5.fc23.x86_64.rpm wird als eine Aktualisierung für cpp-5.3.1-2.fc23.x86_64 markiert
gcc-5.3.1-5.fc23.x86_64.rpm wird untersucht: gcc-5.3.1-5.fc23.x86_64
gcc-5.3.1-5.fc23.x86_64.rpm wird als eine Aktualisierung für gcc-5.3.1-2.fc23.x86_64 markiert
gcc-c++-5.3.1-5.fc23.x86_64.rpm wird untersucht: gcc-c++-5.3.1-5.fc23.x86_64
gcc-c++-5.3.1-5.fc23.x86_64.rpm wird als eine Aktualisierung für gcc-c++-5.3.1-2.fc23.x86_64 markiert
libatomic-5.3.1-5.fc23.x86_64.rpm wird untersucht: libatomic-5.3.1-5.fc23.x86_64
libatomic-5.3.1-5.fc23.x86_64.rpm wird als eine Aktualisierung für libatomic-5.3.1-2.fc23.x86_64 markiert
libgcc-5.3.1-5.fc23.x86_64.rpm wird untersucht: libgcc-5.3.1-5.fc23.x86_64
libgcc-5.3.1-5.fc23.x86_64.rpm wird als eine Aktualisierung für libgcc-5.3.1-2.fc23.x86_64 markiert
libgomp-5.3.1-5.fc23.x86_64.rpm wird untersucht: libgomp-5.3.1-5.fc23.x86_64
libgomp-5.3.1-5.fc23.x86_64.rpm wird als eine Aktualisierung für libgomp-5.3.1-2.fc23.x86_64 markiert
libstdc++-5.3.1-5.fc23.x86_64.rpm wird untersucht: libstdc++-5.3.1-5.fc23.x86_64
libstdc++-5.3.1-5.fc23.x86_64.rpm wird als eine Aktualisierung für libstdc++-5.3.1-2.fc23.x86_64 markiert
libstdc++-devel-5.3.1-5.fc23.x86_64.rpm wird untersucht: libstdc++-devel-5.3.1-5.fc23.x86_64
libstdc++-devel-5.3.1-5.fc23.x86_64.rpm wird als eine Aktualisierung für libstdc++-devel-5.3.1-2.fc23.x86_64 markiert
Abhängigkeiten werden aufgelöst
--> Transaktionsprüfung wird ausgeführt
---> Paket cpp.x86_64 0:5.3.1-2.fc23 markiert, um aktualisiert zu werden
---> Paket cpp.x86_64 0:5.3.1-5.fc23 markiert, um eine Aktualisierung zu werden
---> Paket gcc.x86_64 0:5.3.1-2.fc23 markiert, um aktualisiert zu werden
---> Paket gcc.x86_64 0:5.3.1-5.fc23 markiert, um eine Aktualisierung zu werden
---> Paket gcc-c++.x86_64 0:5.3.1-2.fc23 markiert, um aktualisiert zu werden
---> Paket gcc-c++.x86_64 0:5.3.1-5.fc23 markiert, um eine Aktualisierung zu werden
---> Paket libatomic.x86_64 0:5.3.1-2.fc23 markiert, um aktualisiert zu werden
---> Paket libatomic.x86_64 0:5.3.1-5.fc23 markiert, um eine Aktualisierung zu werden
---> Paket libgcc.x86_64 0:5.3.1-2.fc23 markiert, um aktualisiert zu werden
---> Paket libgcc.x86_64 0:5.3.1-5.fc23 markiert, um eine Aktualisierung zu werden
---> Paket libgomp.x86_64 0:5.3.1-2.fc23 markiert, um aktualisiert zu werden
---> Paket libgomp.x86_64 0:5.3.1-5.fc23 markiert, um eine Aktualisierung zu werden
---> Paket libstdc++.x86_64 0:5.3.1-2.fc23 markiert, um aktualisiert zu werden
---> Paket libstdc++.x86_64 0:5.3.1-5.fc23 markiert, um eine Aktualisierung zu werden
---> Paket libstdc++-devel.x86_64 0:5.3.1-2.fc23 markiert, um aktualisiert zu werden
---> Paket libstdc++-devel.x86_64 0:5.3.1-5.fc23 markiert, um eine Aktualisierung zu werden
--> Abhängigkeitsauflösung beendet
--> Finde nicht mehr benötigte Abhängigkeiten
Found and removing 0 unneeded dependencies
Abhängigkeiten aufgelöst

Comment 1 Igor Gnatenko 2016-04-11 11:37:32 UTC
Please run the same command with --debugsolver and attach debugdata here. Also would be great to attach RPM files.

Comment 2 Harald Reindl 2016-04-11 11:40:44 UTC
i attached the requested infos at https://bugzilla.redhat.com/show_bug.cgi?id=1263888 with attachment https://bugzilla.redhat.com/attachment.cgi?id=1093593 and nobody cared

it's pretty easy to reproduce and the packages are on koji

Comment 3 Igor Gnatenko 2016-04-11 11:45:20 UTC

*** This bug has been marked as a duplicate of bug 1263888 ***


Note You need to log in before you can comment on or make changes to this bug.